获取某个 Pull Request的所有标签
GET/api/v5/repos/:owner/:repo/pulls/:number/labels
Request
Path Parameters
owner stringrequired
仓库所属空间地址(组织或个人的地址path)
repo stringrequired
仓库路径(path)
number integerrequired
第几个PR,即本仓库PR的序数
Example: 0
Query Parameters
access_token string
用户授权码
Responses
- 200
成功响应
Response Headers
- application/json
- Schema
- Example (auto)
- 1
- 2
Schema
- Array [
- ]
idinteger
colorstring
namestring
repository_idinteger
urlstring
created_atstring
updated_atstring
text_colorstring
[
{
"id": 0,
"color": "string",
"name": "string",
"repository_id": 0,
"url": "string",
"created_at": "string",
"updated_at": "string",
"text_color": "string"
}
]
成功示例
{
"id": 18517,
"color": "#ED4014",
"name": "bug",
"repository_id": 198606,
"url": "",
"created_at": "2024-02-23",
"updated_at": "2024-02-23",
"text_color": "#FFFFFF"
}
成功示例
{
"id": 383740,
"color": "#428BCA",
"name": "performance",
"repository_id": 198606,
"url": "",
"created_at": "2024-04-20",
"updated_at": "2024-04-20",
"text_color": "#FFFFFF"
}